###############################################################################

{{- if (or .Values.http.enabled .Values.stream.enabled) }}

apiVersion: v1
kind: Service
metadata:
  name: "{{ .Release.Name }}"
  labels:
{{- include "nginx.labels" . | indent 4 }}
{{- if .Values.service.annotations }}
  annotations:
{{- range $name, $value := .Values.service.annotations }}
    {{ $name }}: "{{ tpl (toString $value) $ }}"
{{- end }}
{{- end }}
spec:
  ports:
{{- if .Values.http.enabled }}
    - name: http
      port: {{ include "nginx.http.port" . }}
      protocol: TCP
      targetPort: {{ include "nginx.http.port" . }}
{{- end }}
{{- if .Values.stream.enabled }}
    - name: stream
      port: {{ include "nginx.stream.port" . }}
      protocol: TCP
      targetPort: {{ include "nginx.stream.port" . }}
{{- end }}
  selector:
{{- include "nginx.selector" . | indent 4 }}
  type: "{{ .Values.service.type }}"

{{- end }}

###############################################################################
